Package org.silverpeas.components.gallery.web

## Class GalleryInstanceFileUploadVerification

- java.lang.Object
- - org.silverpeas.components.gallery.web.GalleryInstanceFileUploadVerification

- All Implemented Interfaces:
    `org.silverpeas.core.webapi.upload.ComponentInstanceFileUploadVerification`

      @Bean
      @Named
      public class GalleryInstanceFileUploadVerification
      extends Object
      implements org.silverpeas.core.webapi.upload.ComponentInstanceFileUploadVerification

  Verifies for the Gallery instance a new uploaded file which has not been yet registered into component data.
  Author:
    Yohann Chastagnier

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.core.webapi.upload.ComponentInstanceFileUploadVerification

      `NAME_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GalleryInstanceFileUploadVerification()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `verify​(String componentInstanceId, File uploadedFile)` |
    `void` | `verify​(String componentInstanceId, org.silverpeas.core.webapi.upload.FileUploadVerifyData fileUploadVerifyData)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalleryInstanceFileUploadVerification

          public GalleryInstanceFileUploadVerification()

  - ### Method Detail

    - #### verify

          public void verify​(String componentInstanceId,
                             org.silverpeas.core.webapi.upload.FileUploadVerifyData fileUploadVerifyData)

      Specified by:
        `verify` in interface `org.silverpeas.core.webapi.upload.ComponentInstanceFileUploadVerification`

    - #### verify

          public void verify​(String componentInstanceId,
                             File uploadedFile)

      Specified by:
        `verify` in interface `org.silverpeas.core.webapi.upload.ComponentInstanceFileUploadVerification`